## GimpScrolledPreview GimpScrolledPreview |

## Functions

void | gimp_scrolled_preview_set_position ()
void | gimp_scrolled_preview_set_policy ()
void | gimp_scrolled_preview_freeze ()
void | gimp_scrolled_preview_thaw ()

## Types and Values

| GimpScrolledPreview

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GimpPreview
                                ╰── GimpScrolledPreview

## Implemented Interfaces

GimpScrolledPreview implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### gimp_scrolled_preview_set_position ()

    void
    gimp_scrolled_preview_set_position (GimpScrolledPreview *preview,
                                        gint x,
                                        gint y);

Since: GIMP 2.4

### gimp_scrolled_preview_set_policy ()

    void
    gimp_scrolled_preview_set_policy (GimpScrolledPreview *preview,
                                      GtkPolicyType hscrollbar_policy,
                                      GtkPolicyType vscrollbar_policy);

Since: GIMP 2.4

### gimp_scrolled_preview_freeze ()

    void
    gimp_scrolled_preview_freeze (GimpScrolledPreview *preview);

Since: GIMP 2.4

### gimp_scrolled_preview_thaw ()

    void
    gimp_scrolled_preview_thaw (GimpScrolledPreview *preview);

Since: GIMP 2.4

## Types and Values

### GimpScrolledPreview

    typedef struct _GimpScrolledPreview GimpScrolledPreview;